import { http } from "@/utils/http"

// 客户台账-列表
export function getList(data?) {
  return http.post<any, AxiosResponseRes>('/customer/standingBook/list', { data })
}

// 客户台账 - 详情
export function getDetail(params?) {
  return http.get<any, AxiosResponseRes>('/customer/standingBook/detail', { params })
}


// 客户台账 - 提交
export function submitCustomer(data) {
  return http.post<any, AxiosResponseRes>('/customer/standingBook/modify', { data })
}


// 客户台账 - 下载
export function downloadFiles(data) {
  return http.post<any, AxiosResponseRes>('/customer/standingBook/downloadCustomerStandingBook', { data, responseType: 'arraybuffer' })
}
