import { http } from "@/utils/http"

// 从sop同步资方信息
export function quereyCapiticalList(params?) {
  return http.get("/sys/stakeholders/management/synchronization", { params });
}

// 根据条件查询资方信息
export function searchCapiticalList(data?) {
  return http.post<any, AxiosResponseRes>("/sys/stakeholders/management/search", { data });
}

// 新增汇率
export function addRate(data?) {
  return http.post("/sys/exchange/rate/add", { data });
}

// 根据条件查询汇率
export function searchRate(data?) {
  return http.post("/sys/exchange/rate/search", { data });
}
