import { http } from "@/utils/http"

// 获取登录日志列表
export function queryLogList(params) {
  return http.get("/loginLog/do_list", { params });
}

// 登录日志详情
export function findLogDetailById(data?) {
  return http.post("/operationLog/findByLoginId", { data });
}

// 查询操作类型
export function fineOperateType (params?) {
  return http.get("/operationLog/findType", { params })
}

// 查询操作模块
export function fineOperateModel (params?) {
  return http.get("/operationLog/findModel", { params })
}
