import { ref } from "vue"

export function useCompanyColumns(feildDisabled = false) {
  const tableData = ref<any[]>([])
  const renderColumns = ref<any[]>([
    {
      label: '第一季度',
      children: [
        {
          label: '1月',
          prop: 'janIndex',
          width: 120,
          disabled: feildDisabled
        },
        {
          label: '2月',
          prop: 'febIndex',
          width: 120,
          disabled: feildDisabled
        },
        {
          label: '3月',
          prop: 'marIndex',
          width: 120,
          disabled: feildDisabled
        },
        {
          label: '合计',
          prop: 'q1Total',
          width: 120,
          disabled: feildDisabled
        }
      ]
    },
    {
      label: '第二季度',
      children: [
        {
          label: '4月',
          prop: 'aprIndex',
          width: 120,
          disabled: feildDisabled
        },
        {
          label: '5月',
          prop: 'mayIndex',
          width: 120,
          disabled: feildDisabled
        },
        {
          label: '6月',
          prop: 'junIndex',
          width: 120,
          disabled: feildDisabled
        },
        {
          label: '合计',
          prop: 'q2Total',
          width: 120,
          disabled: feildDisabled
        }
      ]
    },
    {
      label: '第三季度',
      children: [
        {
          label: '7月',
          prop: 'julIndex',
          width: 120,
          disabled: feildDisabled
        },
        {
          label: '8月',
          prop: 'augIndex',
          width: 120,
          disabled: feildDisabled
        },
        {
          label: '9月',
          prop: 'septIndex',
          width: 120,
          disabled: feildDisabled
        },
        {
          label: '合计',
          prop: 'q3Total',
          width: 120,
          disabled: feildDisabled
        }
      ]
    },
    {
      label: '第四季度',
      children: [
        {
          label: '10月',
          prop: 'octIndex',
          width: 120,
          disabled: feildDisabled
        },
        {
          label: '11月',
          prop: 'novIndex',
          width: 120,
          disabled: feildDisabled
        },
        {
          label: '12月',
          prop: 'decIndex',
          width: 120,
          disabled: feildDisabled
        },
        {
          label: '合计',
          prop: 'q4Total',
          width: 120,
          disabled: feildDisabled
        }
      ]
    }
  ])

  return {
    tableData,
    renderColumns
  }
}
