import { ref } from "vue";

export function useAumColumns(feildsDisabled?) {
  const aumTableData = ref<any[]>([])

  const aumColumns = ref<TableColumnList>([
    {
      label: '运营中心',
      prop: 'orgName',
      showOverflowTooltip: true
    },
    {
      label: '1月',
      showOverflowTooltip: true,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={row.janIndex} disabled={ feildsDisabled }></cy-amount-input>
        </>
      )
    },
    {
      label: '2月',
      showOverflowTooltip: true,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={row.febIndex} disabled={ feildsDisabled }></cy-amount-input>
        </>
      )
    },
    {
      label: '3月',
      showOverflowTooltip: true,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={row.marIndex} disabled={ feildsDisabled }></cy-amount-input>
        </>
      )
    },
    {
      label: '4月',
      showOverflowTooltip: true,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={row.aprIndex} disabled={ feildsDisabled }></cy-amount-input>
        </>
      )
    },
    {
      label: '5月',
      showOverflowTooltip: true,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={row.mayIndex} disabled={ feildsDisabled }></cy-amount-input>
        </>
      )
    },
    {
      label: '6月',
      showOverflowTooltip: true,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={row.junIndex} disabled={ feildsDisabled }></cy-amount-input>
        </>
      )
    },
    {
      label: '7月',
      showOverflowTooltip: true,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={row.julIndex} disabled={ feildsDisabled }></cy-amount-input>
        </>
      )
    },
    {
      label: '8月',
      showOverflowTooltip: true,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={row.augIndex} disabled={ feildsDisabled }></cy-amount-input>
        </>
      )
    },
    {
      label: '9月',
      showOverflowTooltip: true,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={row.septIndex} disabled={ feildsDisabled }></cy-amount-input>
        </>
      )
    },
    {
      label: '10月',
      showOverflowTooltip: true,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={row.octIndex} disabled={ feildsDisabled }></cy-amount-input>
        </>
      )
    },
    {
      label: '11月',
      showOverflowTooltip: true,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={row.novIndex} disabled={ feildsDisabled }></cy-amount-input>
        </>
      )
    },
    {
      label: '12月',
      showOverflowTooltip: true,
      cellRenderer: ({ index, row }) => (
        <>
          <cy-amount-input v-model={row.decIndex} disabled={ feildsDisabled }></cy-amount-input>
        </>
      )
    },
  ])

  return {
    aumTableData,
    aumColumns
  }
}
