import { ref, computed } from 'vue'

export function useColumns() {
  const tableData = ref<any[]>([])
  const total = ref<number>(0)


  const columns: TableColumnList = [
    {
      label: '序号',
      type: 'index',
      width: 55
    },
    {
      label: '分配日期',
      prop: 'gmtModified',
      showOverflowTooltip: true
    },
     {
      label: '分配利息',
      prop: 'gmtModified',
      showOverflowTooltip: true
    },

  ]

  return {
    columns,
    tableData
  }
}
