import { http } from "@/utils/http"

// 业务台账-列表
export function getList(data?) {
  return http.post<any, AxiosResponseRes>('/business/standingBook/list', { data })
}

// 获取业务台账 - 详情
export function getDetail(params?) {
  return http.get<any, AxiosResponseRes>('/business/standingBook/detail', { params })
}


// 业务台账 - 提交
export function submitBusines(data) {
  return http.post<any, AxiosResponseRes>('/business/standingBook/modify', { data })
}


// 业务台账 - 下载
export function downloadFiles(data) {
  return http.post<any, AxiosResponseRes>('/business/standingBook/downloadBusinessStandingBook', { data, responseType: 'arraybuffer' })
}
