import { http } from "@/utils/http"

// 费用管理-主列表
export function queryChargeList(data?) {
  return http.post<any, AxiosResponseRes>('/fee/management/findBySearch', { data })
}

// 费用管理-新增
export function addCharge(data?) {
  return http.post<any, AxiosResponseRes>('/fee/management/addFee', { data })
}

// 费用管理-详情
export function getChargeInfo(data?) {
  return http.post<any, AxiosResponseRes>('/fee/management/findById', { data })
}

// 费用管理-下载
export function downloadCharge(data?) {
  return http.post<any, AxiosResponseRes>('/fee/management/download', { data, responseType: 'arraybuffer' })
}

// 费用管理-下载模板 1 管理费模板，2销售费模板
export function downloadTemplate(params?) {
  return http.get<any, AxiosResponseRes>('/fee/management/downloadTemplate', { params, responseType: 'arraybuffer' })
}
