import { useDictStore } from "@/store/modules/dict"
import { computed } from "vue"

export function useCurrency() {
  useDictStore().getConstant(['currencyType'])

  const currencyTypeList = computed(() => {
    return useDictStore().constant.currencyType
  })

  return {
    currencyTypeList
  }
}
