import { findAllOrg } from '@/api/dataSource/m3Manage'
import { onMounted, ref } from 'vue'

export function useOrgList() {

  const ownerOrgList = ref<any[]>([])
  const queryOwnerOrgList = async () => {
    const res: AxiosResponseRes = await findAllOrg()
    ownerOrgList.value = res.data
  }

  onMounted(() => {
    queryOwnerOrgList()
  })

  return {
    ownerOrgList
  }
}
