import { useDictStore } from "@/store/modules/dict"
import { computed } from "vue"

export function useProductType() {
  useDictStore().getConstant(['factoringProductsExport'])
  useDictStore().getConstant(['factoringProductsDomestic'])

  const productTypeList = computed(() => {
    return [].concat(useDictStore().constant.factoringProductsExport, useDictStore().constant.factoringProductsDomestic)
  })

  return {
    productTypeList
  }
}
