import { findUserByOrgId } from "@/api/dataSource/m3Manage"
import { ref } from "vue"


export function useProjectManager (orgId?: string) {
  const projectManagerList = ref<any[]>([])

  if (orgId) {
    findUserByOrgId({ orgId }).then((res: AxiosResponseRes) => {
      projectManagerList.value = res.data
    })
  }

  return {
    projectManagerList
  }
}
